import type { RemoteUser } from "../interface";
import { VideoDisplayMode, VideoResolution } from "../interface";
export declare const componentEmits: any;
export declare const lang: import("vue").Ref<string>;
export declare const currentDisplayMode: import("vue").Ref<VideoDisplayMode>;
export declare const currentVideoResolution: import("vue").Ref<VideoResolution>;
export declare const cameraList: any;
export declare const microphoneList: any;
export declare const currentCamera: import("vue").Ref<string>;
export declare const currentMicrophone: import("vue").Ref<string>;
export declare const remoteWaitList: import("vue").Ref<Set<string>>;
export declare const status: import("vue").Ref<string>;
export declare const isMinimized: import("vue").Ref<boolean>;
export declare const dialingInfo: import("vue").Ref<string>;
export declare const callType: import("vue").Ref<string>;
export declare const isFromGroup: import("vue").Ref<boolean>;
export declare const remoteList: import("vue").Ref<{
    [x: string]: string | boolean;
    userID: string;
    isEntered: boolean;
    microphone?: boolean;
    camera?: boolean;
    nick?: string;
    isReadyRender?: boolean;
}[]>;
export declare const volumeMap: import("vue").Ref<Map<string, number>>;
export declare const profile: import("vue").Ref<{
    [x: string]: string | boolean;
    userID: string;
    isEntered: boolean;
    microphone?: boolean;
    camera?: boolean;
    nick?: string;
    isReadyRender?: boolean;
}>;
export declare function triggerEvents(...params: any[]): void;
export declare function setLanguage(language: string): void;
export declare function t(key: any): string;
export declare function changeStatus(newValue: string, reason?: string, timeout?: number): Promise<void>;
export declare function addRemoteListByUserID(userID: string): void;
export declare function removeRemoteListByUserID(userID: string): number;
export declare function changeRemoteDeviceStatusByUserID(userID: string, deviceType: string, value: boolean): void;
export declare function changeRenderReadyStatusByUserID(userID: string, value: boolean): void;
export declare function updateRemoteVolumeMap(newVolumeMap: any): void;
export declare function changeDialingInfo(newValue: string): void;
export declare function changeCallType(newValue: number): void;
export declare function changeIsFromGroup(newValue: boolean): void;
export declare function changeRemoteList(newValue: RemoteUser[]): Promise<void>;
export declare function updateProfile(newValue: RemoteUser): Promise<void>;
export declare function changeIsMinimized(newValue: boolean): void;
export declare function getVolumeByUserID(userID: string): number;
