import Vue from 'vue';
import Dialog from './dialog';
import { getLanguage } from '../utils/index';
import { languageData } from '../locales/index';

let tips = null;
const language = getLanguage();

if (!Vue || typeof Vue.version !== 'string') {
  tips = languageData[language]['not-found-vue2'];
} else {
  const version = Vue.version;

  if (version.startsWith("2.") && !version.startsWith("2.7.")) {
    tips = languageData[language]['not-match-vue2-version'];
  }
}

if (tips) {
  new Dialog({
    content: tips,
  });

  // 如果监测到版本不匹配，这里抛出更加语义化的异常，便于客户定位问题，并阻止后续代码执行
  throw new Error(tips);
}
